@import 'assets/variables';

.modal {
  height: calc(100% - 144px);
  max-width: 975px;
  overflow: hidden;
}

.root {
  height: 100%;
}

.topbar {
  display: flex;
  font-size: 1.1rem;
  padding: 0 $cell * 2;
  box-shadow: $card-box-shadow;
  justify-content: flex-end;
  align-items: center;
  flex-direction: row;
  width: 100%;
  height: $cell * 6;
  background-color: $soft-grey;
}

.generateWrap {
  display: flex;
  align-items: center;
}

.menuItem {
  margin: 0 $cell;
  display: flex;
  align-items: center;
  .icon {
    margin-right: $cell * 0.5 !important;
  }

  cursor: pointer;
  &:hover {
    transform: scale(1.1);
  }
}

.delete {
  &:hover {
    color: $light-blood-red;
  }
}

.formWrapper {
  padding: $cell * 8 $cell * 8;
  height: calc(100% - 50px);
  overflow: auto;
  display: flex;
  flex-wrap: wrap;
}

.imageAndGenerate{
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  width: 100%;
  margin-bottom: $cell * 4;
}

.image {
  display: flex;
  align-items: center;
  height: 200px;
  margin-left: -30px;
  margin-right: $cell * 8;
  margin-bottom: $cell * 4;

  .arrowLeft {
    cursor: pointer;
    margin-right: 8px;

    &:hover {
      opacity: 0.7;
    }
  }

  .arrowRight {
    margin-left: 8px;
    cursor: pointer;

    &:hover {
      opacity: 0.7;
    }
  }


  img {
    height: 200px;
    width: 200px;
  }
}

.generators {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  max-width: 500px;
  .generatorOps {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;

    .generateDropdown {
      margin-bottom: $cell * 4;
    }
  }

  .generateButton {
    display: flex !important;
    align-items: center;
    justify-content: center;
    width: $cell * 18; 
    cursor: pointer;

    .diceIcon {
      margin-left: $cell;
    }
  }
}

.form {
  width: 100%;

  .textArea {
    min-height: $cell * 25;
  }

  .formLabel {
    font-weight: 700;
    margin-bottom: $cell * 1 !important;
    font-size: 1.2rem !important;
  }

  .formGroup {
    :global {
      .field {
        padding-left: $cell !important;
        padding-right: $cell * 4 !important;
      }
    }
    justify-content: space-between;
    margin-bottom: $cell * 6 !important;
  }
}

.sectionHeader {
  font-size: 1.4rem;
  margin-bottom: $cell * 2;
}

.voiceAndStats {
  display: flex;
  flex-wrap: wrap;
}

.voiceWrap {
    width: 100%;
    max-width: 430px;
  .voice {
    padding: $cell * 2;
    border: 1px solid rgba(34,36,38,0.15);
    border-radius: 5px;
  }
}

.statWrap {
  .stats {
    display: flex;
    flex-wrap: wrap;
    max-width: 340px;
    padding: $cell * 2;
    border: 1px solid rgba(34,36,38,0.15);
    border-radius: 5px;
    margin-right: $cell * 5;
    margin-bottom: $cell * 5;
  }
}

.successInvis {
  margin-top: $cell;
  color: transparent;
  transition: color 0.3s ease;
}

.success {
  color: green;
}

.voiceTextArea {
  >textarea {
    resize: none !important;
  }
}